---
title: 'EventSource: open event'
slug: Web/API/EventSource/open_event
tags:
  - API
  - Event
  - EventSource
  - Reference
  - open
---
<p>{{APIRef}}</p>

<p>The <code>open</code> event of the {{domxref("EventSource")}} API is fired when a connection with an event source is opened.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>{{domxref("EventSource.onopen")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var evtSource = new EventSource('sse.php');

// addEventListener version
evtSource.addEventListener('open', (e) =&gt; {
  console.log("The connection has been established.");
});

// onopen version
evtSource.onopen = (e) =&gt; {
  console.log("The connection has been established.");
};
</pre>

<h2 class="brush: js" id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "indices.html#event-open", "open event")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EventSource.open_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://developer.mozilla.org/en/Server-sent_events/Using_server-sent_events" title="en/Server-sent events/Using server-sent events">Using server-sent events</a></li>
 <li>{{event("open")}}</li>
 <li>{{event("error")}}</li>
 <li>{{event("message")}}</li>
</ul>
